Class | PhusionPassenger::Standalone::ConfigFile
In: | lib/phusion_passenger/standalone/config_file.rb
Parent: | Object

### Methods

address analytics daemonize debugger domain_name domain_names env environment max_pool_size min_instances new nginx_bin port rack_env rails_env

### Classes and Modules

Class PhusionPassenger::Standalone::ConfigFile::DisallowedContextError

### Attributes

options | [R] |

### Public Class methods

new(context, filename)

### Public Instance methods

address(addr)
analytics(value)
daemonize(on)
debugger(value)
domain_name(name)
domain_names(*names)
env(name)

Alias for environment

environment(name)
max_pool_size(number)
min_instances(number)
nginx_bin(filename)
port(number)
rack_env(name)

Alias for environment

rails_env(name)

Alias for environment

[Validate]